- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Creates a new immutable revision and triggers validation pipelines.
HTTP request
POST https://agentregistry.googleapis.com/v1alpha/{parent=projects/*/locations/*/skills/*}/revisions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Parent logical container name. |
Query parameters
| Parameters | |
|---|---|
skillRevisionId |
Optional. Custom, user-defined unique revision identifier. Format: 4-63 characters, matching regex |
requestId |
Optional. Signed UUID request idempotency token. |
Request body
The request body contains an instance of SkillRevision.
Response body
If successful, the response body contains a newly created instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/cloud-platform.read-onlyhttps://www.googleapis.com/auth/agentregistry.read-writehttps://www.googleapis.com/auth/agentregistry.read-only
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
agentregistry.skillRevisions.create
For more information, see the IAM documentation.